/**
 * @author zachary
 */
package MemoryMatch.classes 
{
	import flash.display.*;
	import flash.net.*;
	
	public class card extends Sprite
	{
		private var loader:Loader;
		private var loader2:Loader;
		private var loader3:Loader;
		private var card_name:String;
		
		private var dir:int;
		private var matched:Boolean;
		
		private var backImage:String;
		private var frontImage:String;
		private var faceImage:String;
		
		public function card(tokenBack:String, tokenFront:String, tokenImage:String, card_value:String) :void
		{
			card_name = card_value;
			dir = 2;
			matched = false;
			
			loader = new Loader();
			loader2 = new Loader();
			loader3 = new Loader();
			
			backImage = tokenBack;
			frontImage = tokenFront;
			faceImage = tokenImage;
			
			addChild(loader2);
			loader2.load(new URLRequest(frontImage));
			
			addChild(loader3);
			loader3.load(new URLRequest(faceImage));
			loader3.x = 32;  
 			loader3.y = 32;
			
			addChild(loader);
			loader.load(new URLRequest(tokenBack));
		}
		
		public function flip_card():void
		{
			if(!matched)
			{
				switch(dir)
				{
					case 1:
						dir = 2;
						setChildIndex(loader,numChildren-1);
						break;
					case 2:
						dir = 1;
						setChildIndex(loader,0);
						break;
				}
			}
		}
		
		public function get_name() :String
		{
			return card_name;
		}
		
		public function set_matched() :void
		{
			matched = true;
		}
	}

}